Bug 991762 - foo has not been configured as an alternative for bar
foo has not been configured as an alternative for bar
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 06:04 EDT by Kamil Páral
Modified: 2014-10-12 02:01 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 02:16:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-08-04 06:04:38 EDT
Description of problem:
This is what I saw on today's update:

...
  Cleanup    : 1:java-1.7.0-openjdk-devel-1.7.0.25-2.3.10.10.fc19.x86_64                                                  207/254 
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/bin/javac has not been configured as an alternative for javac
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64 has not been configured as an alternative for java_sdk_openjdk
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64 has not been configured as an alternative for java_sdk_1.7.0
  Cleanup    : 1:java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64                                                        208/254 
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre/bin/java has not been configured as an alternative for java
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre has not been configured as an alternative for jre_openjdk
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19.x86_64/jre has not been configured as an alternative for jre_1.7.0
...
  Cleanup    : 1:java-1.7.0-openjdk-javadoc-1.7.0.25-2.3.10.10.fc19.noarch                                                231/254 
/usr/share/javadoc/java-1.7.0-openjdk-1.7.0.25-2.3.10.10.fc19/api has not been configured as an alternative for javadocdir
...


Version-Release number of selected component (if applicable):
java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19.x86_64 before
java-1.7.0-openjdk-1:1.7.0.25-2.3.12.3.fc19.x86_64 after
Comment 1 Omair Majid 2013-08-04 14:20:55 EDT
It's a warning that's safe to ignore. It was a mistake in the old package (1.7.0.25-2.3.10.10.fc19) that has been fixed in the new one.

Please reopen the bug if you see any unexpected side-effects.
Comment 2 Peter Backes 2013-09-10 19:24:55 EDT
Today, updating from

1:java-1.7.0-openjdk-devel-1.7.0.25-2.3.12.4.fc19.i686
1:java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.i686

to

1:java-1.7.0-openjdk-devel-1.7.0.60-2.4.2.0.fc19.i686
1:java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19.i686

gives me again

  Cleanup    : 1:java-1.7.0-openjdk-devel-1.7.0.25-2.3.12.4.fc19.i686     20/30 
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.i386/bin/javac has not been configured as an alternative for javac
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.i386 has not been configured as an alternative for java_sdk_openjdk
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.i386 has not been configured as an alternative for java_sdk_1.7.0
...
  Cleanup    : 1:java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.i686           27/30 
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.i386/jre/bin/java has not been configured as an alternative for java
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.i386/jre has not been configured as an alternative for jre_openjdk
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.i386/jre has not been configured as an alternative for jre_1.7.0

This seems to indicate that it has not been fixed.
Comment 3 Kamil Páral 2013-09-11 04:30:08 EDT
Yes, I've seen it for the last F19 java update as well.

Running transaction
  Updating   : 1:java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19.x86_64                                                                                                                     1/4 
  Updating   : 1:java-1.7.0-openjdk-devel-1.7.0.60-2.4.2.0.fc19.x86_64                                                                                                               2/4 
  Cleanup    : 1:java-1.7.0-openjdk-devel-1.7.0.25-2.3.12.4.fc19.x86_64                                                                                                              3/4 
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/bin/javac has not been configured as an alternative for javac
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64 has not been configured as an alternative for java_sdk_openjdk
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64 has not been configured as an alternative for java_sdk_1.7.0
  Cleanup    : 1:java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64                                                                                                                    4/4 
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/jre/bin/java has not been configured as an alternative for java
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/jre has not been configured as an alternative for jre_openjdk
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64/jre has not been configured as an alternative for jre_1.7.0
  Verifying  : 1:java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc19.x86_64                                                                                                                     1/4 
  Verifying  : 1:java-1.7.0-openjdk-devel-1.7.0.60-2.4.2.0.fc19.x86_64                                                                                                               2/4 
  Verifying  : 1:java-1.7.0-openjdk-devel-1.7.0.25-2.3.12.4.fc19.x86_64                                                                                                              3/4 
  Verifying  : 1:java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19.x86_64                                                                                                                    4/4
Comment 4 Charles Butterfield 2013-09-13 18:42:53 EDT
Me three!
Comment 5 Omair Majid 2013-09-13 18:44:34 EDT
I just got this message on update too, but I don't see any other bad side-effects.
Comment 6 Charles Butterfield 2013-09-13 19:09:32 EDT
Hmmm, I just noticed the following CLUE.  I'm on 64-bit (x86_64) but the update only came out for 32-bit (i386).  I suspect that is part of the problem.

Here is what I see in my repo:

/fedora/updates/19/i386/drpms/java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19_1.7.0.60-2.4.2.0.fc19.i686.drpm
/fedora/updates/testing/19/SRPMS/java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19.src.rpm
/fedora/updates/testing/19/i386/java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19.i686.rpm
/fedora/updates/testing/19/i386/drpms/java-1.7.0-openjdk-1.7.0.25-2.3.10.3.fc19_1.7.0.25-2.3.12.3.fc19.i686.drpm
/fedora/updates/testing/19/x86_64/java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc19.x86_64.rpm
/fedora/updates/testing/19/x86_64/drpms/java-1.7.0-openjdk-1.7.0.25-2.3.10.3.fc19_1.7.0.25-2.3.12.3.fc19.x86_64.drpm



Charlie B
Comment 7 Charles Butterfield 2013-09-13 19:19:30 EDT
Hmmm, weirder still. I just updated my local clone of the repos and now the 64-bit version of ... 2.3.12.4... is there in /fedora/updates/19.

java-1.7.0-openjdk-1.7.0.25-2.3.12.4.fc19_1.7.0.60-2.4.2.0.fc19.x86_64.drpm

Looking at my download logs there seems to have been some churn in the repos.  I must have had a stale copy.  Oh well.
Comment 8 Jerry James 2013-09-20 15:46:54 EDT
See 
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Scriptlet_Ordering for the order in which scriptlets run.  Here is what happens:

1. The new java-1.7.0-openjdk-devel package is installed.
2. %post of the *new* package runs.  That script removes all of the configured alternatives of the *old* package.  Look for the two instances of this comment:

# Remove old alternatives

3. The old java-1.7.0-openjdk-devel package is removed.
4. The %postun script of the *old* package runs.  That script removes all of the configured alternatives of the old package.  But that has already been done in step 2, so it issues its "What you talking about, Willis?" complaint that is the subject of this bug.

The warning is harmless, but it is also unnecessary.  Don't remove alternatives in both places.  Pick one.
Comment 9 Scott Beamer 2013-09-29 23:31:27 EDT
What is a workaround for these error messages? I've been seeing them on openjdk updates for a while now.
Comment 10 jiri vanek 2013-09-30 02:16:15 EDT
I an can silent them. But it will just hide underlying issue.
The underlying issue will disappear with eol of f18, in which the change of alternatives handling was introduced. In f21 the backward compatibility script will be removed, and the messages disappear.

As omair told - those messages are harmless and mostly means that your openjdk have survived the alternatives change.

If you really feel that those messages should be hidden, please reopen and I will reconsider.

To Jerry James
Unluckily its not true. Update of f18 to f19/f20 is supported. And so until eol of f18, the removing script must be kept.
Comment 11 Scott Beamer 2013-10-01 21:14:21 EDT
(In reply to jiri vanek from comment #10)
> I an can silent them. But it will just hide underlying issue.
> The underlying issue will disappear with eol of f18, in which the change of
> alternatives handling was introduced. 

But I'm running Fedora 19.
Comment 12 Charles Butterfield 2013-10-02 09:43:51 EDT
I'm confused.  I did a clean install of Fedora-19 and ran into these issues. Are you (Jiri - comment #10) saying the error messages will go away now (F-19), or rather that they will persist until Fedora-21?
Comment 13 jiri vanek 2013-10-02 09:52:18 EDT
(In reply to Charles Butterfield from comment #12)
> I'm confused.  I did a clean install of Fedora-19 and ran into these issues.
> Are you (Jiri - comment #10) saying the error messages will go away now
> (F-19), or rather that they will persist until Fedora-21?

Unluckily the second. Unless there will be strong pressure I have intention to keep them in till eol of f18.
Comment 14 Kamil Páral 2013-10-02 13:55:04 EDT
(In reply to jiri vanek from comment #13)
> Unluckily the second. Unless there will be strong pressure I have intention
> to keep them in till eol of f18.

To clarify, Fedora 18 should go EOL (end of life) in January 2014. That's not that far away ;)
Comment 15 Wolfgang Rupprecht 2014-01-20 05:14:48 EST
It appears that this bug has successfully been ported to f20.

  Cleanup    : 1:java-1.7.0-openjdk-headless-1.7.0.60-2.4.4.0.fc20.x86_   12/20 
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64/jre/bin/java has not been configured as an alternative for java
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64/jre has not been configured as an alternative for jre_openjdk
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64/jre has not been configured as an alternative for jre_1.7.0
/usr/lib/jvm/jre-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64 has not been configured as an alternative for jre_1.7.0_openjdk
  Cleanup    : 1:java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64          13/20 
 
Shall I file a new bz for f20 or can this bz be retargeted?
Comment 16 LarryO 2014-01-23 21:52:42 EST
I had the same issues this evening updating a fresh F20 install.
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64/bin/javac has not been configured as an alternative for javac
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64 has not been configured as an alternative for java_sdk_openjdk
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64 has not been configured as an alternative for java_sdk_1.7.0
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64/jre/bin/java has not been configured as an alternative for java
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64/jre has not been configured as an alternative for jre_openjdk
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64/jre has not been configured as an alternative for jre_1.7.0
/usr/lib/jvm/jre-1.7.0-openjdk-1.7.0.60-2.4.4.0.fc20.x86_64 has not been configured as an alternative for jre_1.7.0_openjdk
Comment 17 LarryO 2014-01-23 22:03:43 EST
I created BZ 1057411 for this on F20 x86_64.
Comment 18 John Gotts 2014-02-03 17:45:38 EST
Here's the Fedora 20 bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1056264

This should be re-opened and fixed along with 1056264. It appears to be the same problem.
Comment 19 Robin Laing 2014-10-12 01:56:54 EDT
Just updated tonight with F20 and same issue.

RPM Scriptlet: /usr/share/javadoc/java-1.7.0-openjdk-1.7.0.65-2.5.1.2.fc19/api has not been configured as an alternative for javadocdir
23:49:41 : RPM Scriptlet: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65-2.5.1.2.fc19.x86_64/bin/javac has not been configured as an alternative for javac
23:49:41 : YUM: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65-2.5.1.2.fc19.x86_64 has not been configured as an alternative for java_sdk_openjdk
23:49:41 : YUM: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65-2.5.1.2.fc19.x86_64 has not been configured as an alternative for java_sdk_1.7.0
23:49:43 : RPM Scriptlet: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65-2.5.1.2.fc19.x86_64/jre/bin/java has not been configured as an alternative for java
23:49:43 : YUM: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65-2.5.1.2.fc19.x86_64/jre has not been configured as an alternative for jre_openjdk
23:49:43 : YUM: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65-2.5.1.2.fc19.x86_64/jre has not been configured as an alternative for jre_1.7.0
23:49:43 : YUM: /usr/lib/jvm/jre-1.7.0-openjdk-1.7.0.65-2.5.1.2.fc19.x86_64 has not been configured as an alternative for jre_1.7.0_openjdk
Comment 20 Robin Laing 2014-10-12 02:01:28 EDT
I just realized that this was my F19 machine, not the F20 one.  Sorry but it is still occurring.

Note You need to log in before you can comment on or make changes to this bug.